Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List mcp servers

GET/workspaces/{organizationId}/mcp/servers
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Query parameters
scopestring
Allowed:workspacerepoissue
Responses
200

MCP servers list

serversobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
namestringrequired
urlstringrequired
scopestringrequired
Allowed:workspacerepoissue
repostring | nullrequired
issueIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/mcp/servers' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "servers": [
    {
      "id": "string",
      "organizationId": "string",
      "name": "string",
      "url": "string",
      "scope": "workspace",
      "repo": "string",
      "issueId": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?